import request from "@/utils/request.js";

export default {
	// 根据店铺ID获取商品数据
	getStoreGoodsByStoreId(storeId) {
		return request({
			url: `/api/StoreHelper/StoreGoodsMenuByStoreId?storeId=${storeId}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//根据店铺ID获取预定菜品列表
	GetReservationGoodsList(data) {
		return request({
			url: `/api/StoreHelper/GetReservationGoodsList`,
			data,
			method: 'POST',
			interfaceType: 0
		});
	},
	//添加预定商品
	AddReservationGoods(data, memberInfoId) {
		return request({
			url: `/api/StoreHelper/AddReservationGoods`,
			method: 'POST',
			data,
			header: {
				memberInfoId
			},
			interfaceType: 0
		});
	},
	/**
	 * 修改预定记录
	 * @param {Object} data
	 * @param {Object} memberInfoId
	 */
	UpdateReservationGoods(data) {
		return request({
			url: `/api/StoreHelper/UpdateReservationGoods`,
			method: 'POST',
			data,
			interfaceType: 0
		});
	},
	//获取预定记录
	selectRecordList(data) {
		return request({
			url: `/api/StoreHelper/GetReservationUserGoods`,
			method: 'POST',
			data,
			interfaceType: 0
		});
	},
	//获取店铺列表
	getStoreList() {
		return request({
			url: '/api/StoreHelper/GetAllStore',
			method: 'GET',
			interfaceType: 0
		});
	},
	//根据门店ID查询详细信息
	queryStoreInfoById(id) {
		return request({
			url: `/api/StoreHelper/GetStoreInfoById?storeId=${id}`,
			method: 'GET',
			interfaceType: 0
		});
	},
	//根据门店ID查询 门店素材
	queryStoreMaterialById(id) {
		return request({
			url: '/api/minimaterial/store',
			method: 'POST',
			data: {
				storeId: id,
				current: 1,
				pageSize: 999
			},
			interfaceType: 0
		});
	},
	
	/**获取OOS服务器地址
	 * @param {Object} data
	 */
	GetCosRequestURL(data) {
		return request({
			url: '/api/systemconfig/GetCosRequestSignURL',
			method: 'POST',
			data: data,
			interfaceType: 0
		});
	},
	//添加公司预约参观记录
	addBooking(data){
		return request({
			url:'/api/one-card/enterprise-reservation',
			method:'POST',
			data:data,
			interfaceType:0
		})
	},
	//预约信息分页
	getBookingMsg(data){
		return request({
			url:'/api/one-card/enterprise-reservation-page',
			method:'POST',
			data:data,
			interfaceType:0
		})
		
	},
	//取消预约
	cancelBooking(data){
		return request({
			url:'/api/one-card/del-enterprise-reservation',
			method:'POST',
			data:data,
			interfaceType:0
		})
	}
}