import request from "@/utils/request.js"; 

const interfaceType = 0;

export default {
	
	/**
	 * 开通钱包
	 * @param {Object} data
	 */
	openuserwallet(data) {
		return request({
			url: `/api/user-wallet/openuserwallet`,
			data,
			method: 'POST',
			interfaceType
		});
	}, 
	
	/**
	 * 查询钱包余额
	 * @param {Object} data
	 */
	userwalletcenten(userId) {
		return request({
			url: `/api/user-wallet/userwalletcenten/${userId}`,
			method: 'POST',
			interfaceType
		});
	}, 
	
	/**
	 * 获取充值活动
	 * @param {Object} data
	 */
	getRechargeActivityPgage(data) {
		return request({
			url: `/api/rechargeactivity/getRechargeActivityPgage`,
			data,
			method: 'POST',
			interfaceType
		});
	},
	
	/**
	 * 查询储值记录分页
	 * @param {Object} data
	 */
	walletrecordpgage(data) {
		return request({
			url: `/api/wallet-record/walletrecordpgage`,
			data,
			method: 'POST',
			interfaceType
		});
	},
	
	/**
	 * 操作储值记录
	 * @param {Object} data
	 */
	walletrecordhandle(data) {
		return request({
			url: `/api/wallet-record/walletrecordhandle`,
			data,
			method: 'POST',
			interfaceType
		});
	},
	
	/**
	 * 创建储值记录
	 * @param {Object} data
	 */
	wachatwalletrecordhandle(data) {
		return request({
			url: `/api/wallet-record/wachatwalletrecordhandle`,
			data,
			method: 'POST',
			interfaceType
		});
	},
	
	/**
	 * 根据储值记录ID 查询储值记录详情
	 * @param {Object} id
	 */
	getwalletrecord(id) {
		return request({
			url: `/api/wallet-record/getwalletrecord?Id=${id}`,
			method: 'GET',
			interfaceType
		});
	}
}